oasis.names.tc.dss._1_0.core.schema

## Class Properties

- java.lang.Object
- - oasis.names.tc.dss._1_0.core.schema.Properties

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:56:39+01:00",
                 comments="JAXB RI v2.2.11")
      public class Properties
      extends Object
      implements Serializable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="SignedProperties" type="{urn:oasis:names:tc:dss:1.0:core:schema}PropertiesType" minOccurs="0"/>
               <element name="UnsignedProperties" type="{urn:oasis:names:tc:dss:1.0:core:schema}PropertiesType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Properties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertiesType` | `getSignedProperties()` Gets the value of the signedProperties property.
    `PropertiesType` | `getUnsignedProperties()` Gets the value of the unsignedProperties property.
    `void` | `setSignedProperties(PropertiesType value)` Sets the value of the signedProperties property.
    `void` | `setUnsignedProperties(PropertiesType value)` Sets the value of the unsignedProperties property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Properties

          public Properties()

  - ### Method Detail

    - #### getSignedProperties

          public PropertiesType getSignedProperties()

      Gets the value of the signedProperties property.
      Returns:
        possible object is `PropertiesType`

    - #### setSignedProperties

          public void setSignedProperties(PropertiesType value)

      Sets the value of the signedProperties property.
      Parameters:
        `value` - allowed object is `PropertiesType`

    - #### getUnsignedProperties

          public PropertiesType getUnsignedProperties()

      Gets the value of the unsignedProperties property.
      Returns:
        possible object is `PropertiesType`

    - #### setUnsignedProperties

          public void setUnsignedProperties(PropertiesType value)

      Sets the value of the unsignedProperties property.
      Parameters:
        `value` - allowed object is `PropertiesType`

Connector Packaging PERSAUDIOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.